Subject: RE: [magma] IGMPv3 EXCLUDE filter Source problem

From: tech engr <[email-masked]>
Date: Tue, 5 Jun 2007 14:46:29 -0700 (PDT)

Hi,
   
  I looked up the RFC and i am bit confused now.  RFC says EX and Timer > 0 then, suggest to forward traffic from source.  If this is the case, why do we need to define EX - SOURCE mode? what is the purpose of EX - SOURCE group record?  Can you please explain?
   
  Thank you
  Steven

---------------------------------
  From: mighty [mailto:[email-masked]] 
Sent: Tuesday, June 05, 2007 2:29 PM
To: John Zwiebel
Cc: [email-masked]
Subject: Re: [magma] IGMPv3 EXCLUDE filter Source problem

section 6.3 of RFC 3376, "IGMPv3 Source-Specific Forwarding Rules", outlines the forwarding suggestions the IGMP module should make to the multicast router. in the case of EXCLUDE group record with source records, the table reads: 

      Group
      Filter-Mode    Source Timer Value    Action
      -----------    ------------------    ------

      EXCLUDE        TIMER > 0             Suggest to forward traffic
                                           from source  

      EXCLUDE        TIMER == 0            Suggest to not forward
                                           traffic from source
                                           (DO NOT remove record)

  On 6/5/07, John Zwiebel <[email-masked]> wrote:       You might have more luck if you talk to the cisco IOS folks.

  However, ask yourself how you would translate an EXCLUDE to a PIM join/prune message
  And qualify that by remembering that the emphasis for IGMPv3 deployment is for SSM. 

  Then consider implementation vs the protocol.

  Finally, think about a real world scenario where you'd want to receive 
  everything except a specific source.

  If you really have a case where this is required, then you might want to tell
  the IOS folks that their implementation isn't meeting your requirements.

    On Jun 5, 2007, at 10:28 AM, tech engr wrote: 

    Hi,
   
  Can anyone help me with this ?
   
  Steven

tech engr < [email-masked]> wrote:
    Hi,
   
  I tried to use EXCLUDE - SOURCE option in our cisco 6400 with IOS ver 12.3.  Using IXIA tester I sent EXCLUDE - SOURCE with ip 10.6.37.2 in multicast group 239.1.1.144.  I have the video server running behind the Cisco router on 10.6.37.2.  We expect the video should not be forwarded to IXIA from 10.6.37.2.  But, It is getting forwarded.  
   
  Then, I looked into cisco igmp groups and it says EX group 239.1.1.144 and src 10.6.37.2. Cisco is adding multicast route for this group but, it is not excluding src 10.6.37.2 .  Have you folks ever used EX-SRC option?  Can you please let me know if you guys ever able make this work? 
   
  Thanks
  Steven
    
---------------------------------
  Sucker-punch spam with award-winning protection.
Try the free Yahoo! Mail Beta._______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma

---------------------------------
  Get the free Yahoo! toolbar and rest assured with the added security of spyware protection.   _______________________________________________
  magma mailing list
  [email-masked]
  https://www1.ietf.org/mailman/listinfo/magma 

_______________________________________________
magma mailing list
[email-masked] 
https://www1.ietf.org/mailman/listinfo/magma

---------------------------------
 Get your own web address.
 Have a HUGE year through Yahoo! Small Business.
       
---------------------------------
Moody friends. Drama queens. Your life? Nope! - their life, your story.
 Play Sims Stories at Yahoo! Games. 

_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma

---

From: mighty <[email-masked]>
Date: Tue, 5 Jun 2007 16:06:53 -0600

"TIMER > 0" refers to "Source Timer Value", and section 6.2.3 of RFC
3376 explains that

If a source record has a running timer with a router filter-mode for
the group of EXCLUDE, it means that at least one system desires the
source.  It should therefore be forwarded by a router on the network.

On 6/5/07, tech engr <[email-masked]> wrote:
>   ________________________________
> On 6/5/07, John Zwiebel <[email-masked]> wrote:
> >
> >
> > You might have more luck if you talk to the cisco IOS folks.
> >
> >
> >   ________________________________
> >   ________________________________
  Get the free Yahoo! toolbar and rest assured with the added security
of spyware protection.
>    ________________________________
>         ________________________________

---

From: tech engr <[email-masked]>
Date: Tue, 5 Jun 2007 15:26:07 -0700 (PDT)

Thank you for your response.  I read section 6.3 couple of times.  I understand that multicast router will make the decision on wether to forward traffic?  Here the source timer we are referring is in EX -SRC timer.  
   
  Lets see an example of Router R and client C.  If the multicast client wants to avoid SRC-A it will keep sending membership reports with EX-SRC-A to Router R.  So, the EX-SRC-A timer will never get expired as long as Client C sends membership reports.  Unfortunately, it keep receiving traffic and  No other client on this network wants SRC-A.
   
  So, in this configuration, where is the " least one system desires the source"?  Does this mean Multicast router made the decision to forward traffic overiding IGMP information?  Can you please explain?
   
  Thank you

mighty <[email-masked]> wrote:
  "TIMER > 0" refers to "Source Timer Value", and section 6.2.3 of RFC
3376 explains that

> On 6/5/07, John Zwiebel wrote:
> >
> >

---------------------------------
Park yourself in front of a world of choices in alternative vehicles.
Visit the Yahoo! Auto Green Center.

---

From: mighty <[email-masked]>
Date: Tue, 5 Jun 2007 16:36:57 -0600

sending IS_EX(A) reports will not set / refresh the source timer for
A. see section 6.4 for the prescribed actions on source timers during
the receipt of the various reports.

On 6/5/07, tech engr <[email-masked]> wrote:
> Thank you for your response.  I read section 6.3 couple of times.  I
> understand that multicast router will make the decision on wether to forward
> traffic?  Here the source timer we are referring is in EX -SRC timer.
>
> Lets see an example of Router R and client C.  If the multicast client wants
> to avoid SRC-A it will keep sending membership reports with EX-SRC-A to
> Router R.  So, the EX-SRC-A timer will never get expired as long as Client C
> sends membership reports.  Unfortunately, it keep receiving traffic and  No
> other client on this network wants SRC-A.
>
> So, in this configuration, where is the " least one system desires the
> source"?  Does this mean Multicast router made the decision to forward
> traffic overiding IGMP information?  Can you please explain?
>
> Thank you
>
> > I looked up the RFC and i am bit confused now. RFC says EX and Timer > 0
> then, suggest to forward traffic from source. If this is the case, why do we
> need to define EX - SOURCE mode? what is the purpose of EX - SOURCE group
> record? Can you please explain?
> >
> > Thank you
> > Steven
> >
> > section 6.3 of RFC 3376, "IGMPv3 Source-Specific Forwarding Rules",
> outlines the forwarding suggestions the IGMP module should make to the
> multicast router. in the case of EXCLUDE group record with source records,
> the table reads:
> >
> > Group
> > > I tried to use EXCLUDE - SOURCE option in our cisco 6400 with IOS ver
> 12.3. Using IXIA tester I sent EXCLUDE - SOURCE with ip 10.6.37.2 in
> multicast group 239.1.1.144. I have the video server running behind the
> Cisco router on 10.6.37.2. We expect the video should not be forwarded to
> IXIA from 10.6.37.2. But, It is getting forwarded.
> > >
> > > Then, I looked into cisco igmp groups and it says EX group 239.1.1.144
> and src 10.6.37.2. Cisco is adding multicast route for this group but, it is
> not excluding src 10.6.37.2 . Have you folks ever used EX-SRC option? Can
> you please let me know if you guys ever able make this work?
> > >
> > > Thanks
> > > Steven
> > > Try the free Yahoo! Mail
> Beta._______________________________________________
> > > magma mailing list
> > > [email-masked]